using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class displayalbum : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int albumid = int.Parse(Request.QueryString["albumid"]);
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@albumid", albumid);
        bool ispublic=bool.Parse(SqlHelper.ExecuteScalar("select ispublic from albums where albumid=@albumid",p).ToString());
        if (!ispublic)
        {
            if (!User.Identity.IsAuthenticated)
            {
                Response.Redirect("~/login.aspx");
            }
        }
    }
    protected void DataList1_ItemDataBound(object sender, DataListItemEventArgs e)
    {
        Image img = (Image)e.Item.FindControl("Image1");
        if (img != null)
            img.ImageUrl = "~/getphoto.aspx?imgtype=thumbnail&photoid=" + DataList1.DataKeys[e.Item.ItemIndex].ToString();

    }
}
